Bug 11434 - RADEON with [Radeon X300 (PCIE)] RV370
RADEON with [Radeon X300 (PCIE)] RV370
Status: RESOLVED FIXED
Product: DRI
Classification: Unclassified
Component: General
XOrg git
All Linux (All)
: medium major
Assigned To: Default DRI bug account
https://bugs.launchpad.net/ubuntu/+so...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-01 04:02 UTC by Joel Dias Marques
Modified: 2008-01-11 03:36 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
xorg.conf (3.55 KB, text/plain)
2007-07-01 05:32 UTC, Joel Dias Marques
no flags Details
LIBGL_DEBUG=verbose glxinfo (5.08 KB, text/plain)
2007-07-05 00:53 UTC, Joel Dias Marques
no flags Details
Xorg log (55.23 KB, text/plain)
2007-07-05 00:58 UTC, Joel Dias Marques
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joel Dias Marques 2007-07-01 04:02:30 UTC
This BUG concern all distributions of Ubuntu
I have a ATI card (x300 pcie rv370). When I use radeon driver, my system freeze on 3D program (game, compiz etc...)
Then I make ALT+SYS+B :/

I must use fglrx driver ... because my system don't freeze.

joel@joel-desktop:~$ lspci | grep VGA
01:00.0 VGA compatible controller: ATI Technologies Inc RV370 5B60 [Radeon X300 (PCIE)]

syslog, Xorg.0.log, screenshot are on:
http://onegai.oniichan.free.fr/bug/radeon/

Regards
Comment 1 Erik Andren 2007-07-01 04:41:50 UTC
Please post (as opposed to paste) your xorg.conf
Comment 2 Joel Dias Marques 2007-07-01 05:14:05 UTC
/etc/X11/xorg.conf:


# /etc/X11/xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf(5) manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "Files"
	FontPath	"/usr/share/fonts/X11/misc"
	FontPath	"/usr/share/fonts/X11/cyrillic"
	FontPath	"/usr/share/fonts/X11/100dpi/:unscaled"
	FontPath	"/usr/share/fonts/X11/75dpi/:unscaled"
	FontPath	"/usr/share/fonts/X11/Type1"
	FontPath	"/usr/share/fonts/X11/100dpi"
	FontPath	"/usr/share/fonts/X11/75dpi"
	# path to defoma fonts
	FontPath	"/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection

Section "Module"
	Load	"i2c"
	Load	"bitmap"
	Load	"ddc"
	Load	"dri"
	Load	"extmod"
	Load	"freetype"
	Load	"glx"
	Load	"int10"
	Load	"vbe"
EndSection

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"kbd"
	Option		"CoreKeyboard"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"pc105"
	Option		"XkbLayout"	"fr"
	Option		"XkbVariant"	"oss"
	Option		"XkbOptions"	"lv3:ralt_switch"
EndSection

Section "InputDevice"
	Identifier	"Configured Mouse"
	Driver		"mouse"
	Option		"CorePointer"
	Option		"Device"		"/dev/input/mice"
	Option		"Protocol"		"ImPS/2"
	Option		"ZAxisMapping"		"4 5"
	Option		"Emulate3Buttons"	"true"
EndSection

Section "InputDevice"
	Driver		"wacom"
	Identifier	"stylus"
	Option		"Device"	"/dev/input/wacom"
	Option		"Type"		"stylus"
	Option		"ForceDevice"	"ISDV4"		# Tablet PC ONLY
EndSection

Section "InputDevice"
	Driver		"wacom"
	Identifier	"eraser"
	Option		"Device"	"/dev/input/wacom"
	Option		"Type"		"eraser"
	Option		"ForceDevice"	"ISDV4"		# Tablet PC ONLY
EndSection

Section "InputDevice"
	Driver		"wacom"
	Identifier	"cursor"
	Option		"Device"	"/dev/input/wacom"
	Option		"Type"		"cursor"
	Option		"ForceDevice"	"ISDV4"		# Tablet PC ONLY
EndSection

Section "Device"
	Identifier	"ATI Technologies Inc RV370 5B60 [Radeon X300 (PCIE)]"
	Driver		"ati"
	BusID		"PCI:1:0:0"
EndSection

Section "Monitor"
	Identifier	"NECCI CT700p"
	Option		"DPMS"
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Device		"ATI Technologies Inc RV370 5B60 [Radeon X300 (PCIE)]"
	Monitor		"NECCI CT700p"
	DefaultDepth	24
	SubSection "Display"
		Depth		1
		Modes		"1280x1024" "1024x768" "832x624" "800x600" "720x400" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		4
		Modes		"1280x1024" "1024x768" "832x624" "800x600" "720x400" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		8
		Modes		"1280x1024" "1024x768" "832x624" "800x600" "720x400" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		15
		Modes		"1280x1024" "1024x768" "832x624" "800x600" "720x400" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		16
		Modes		"1280x1024" "1024x768" "832x624" "800x600" "720x400" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		24
		Modes		"1280x1024" "1024x768" "832x624" "800x600" "720x400" "640x480"
	EndSubSection
EndSection

Section "ServerLayout"
	Identifier	"Default Layout"
	Screen		"Default Screen"
	InputDevice	"Generic Keyboard"
	InputDevice	"Configured Mouse"
	InputDevice     "stylus"	"SendCoreEvents"
	InputDevice     "cursor"	"SendCoreEvents"
	InputDevice     "eraser"	"SendCoreEvents"
EndSection

Section "DRI"
	Mode	0666
EndSection

Comment 3 Joel Dias Marques 2007-07-01 05:32:11 UTC
Created attachment 10530 [details]
xorg.conf
Comment 4 Jerome Glisse 2007-07-01 06:50:23 UTC
(In reply to comment #3)
> Created an attachment (id=10530) [details]
> xorg.conf
> 

Could you change your device section to :
Section "Device"
        Identifier      "ATI Technologies Inc RV370 5B60 [Radeon X300 (PCIE)]"
        Driver          "radeon"
        Option "BusType" "PCI"
EndSection

Test and report if it helps.
Comment 5 Joel Dias Marques 2007-07-01 08:53:13 UTC
> Test and report if it helps.
> 

I changed the device section, and I don't have freeze with 3D program.
But I lost 3D:

joel@joel-desktop:~$ glxinfo | grep render
direct rendering: No
Comment 6 Jerome Glisse 2007-07-01 15:30:44 UTC
Attach your xorg log and output of :
LIBGL_DEBUG=verbose glxinfo
(do not paste, attach)
Comment 7 Joel Dias Marques 2007-07-05 00:53:03 UTC
Created attachment 10591 [details]
LIBGL_DEBUG=verbose glxinfo
Comment 8 Joel Dias Marques 2007-07-05 00:58:39 UTC
Created attachment 10592 [details]
Xorg log
Comment 9 Phillip Ezolt 2007-08-30 12:45:17 UTC
I see the same bug on FC7.  Radeon X300 on a thinkpad T43. 

I also see the following message in the logs. (It is the last thing that shows up before I reboot the box...)  

Aug 30 12:09:01 localhost kernel: Uhhuh. NMI received for unknown reason b1 on CPU 0.
Aug 30 12:09:01 localhost kernel: You have some hardware problem, likely on the PCI bus.
Aug 30 12:09:01 localhost kernel: Dazed and confused, but trying to continue

....

xorg-x11-drv-ati-6.6.3-4.fc7 
xorg-x11-server-Xorg-1.3.0.0-9.fc7

lspci info: 
01:00.0 VGA compatible controller: ATI Technologies Inc M22 [Mobility Radeon X300] (prog-if 00 [VGA])
        Subsystem: IBM Unknown device 056e
        Flags: bus master, fast devsel, latency 0, IRQ 16
        Memory at c0000000 (32-bit, prefetchable) [size=128M]
        I/O ports at 3000 [size=256]
        Memory at a8100000 (32-bit, non-prefetchable) [size=64K]
        [virtual] Expansion ROM at a8120000 [disabled] [size=128K]
        Capabilities: [50] Power Management version 2
        Capabilities: [58] Express Endpoint IRQ 0
        Capabilities: [80] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
        Capabilities: [100] Advanced Error Reporting


Comment 10 Raanan Manor 2007-08-31 00:04:33 UTC
I see the same bug on ubuntu 7.10  Fire GL V3200 (Radeon X600)  on a thinkpad T43p.  Using Radeon drivers compiled from git 

I also see the following message in the logs. 

 Aug 28 10:04:50 raanan-laptop kernel: [38432.680000] Uhhuh. NMI received
 for unknown reason a0 on CPU 0.

 Aug 28 10:04:50 raanan-laptop kernel: [38432.680000] You have some
 hardware problem, likely on the PCI bus.

 Aug 28 10:04:50 raanan-laptop kernel: [38432.680000] Dazed and confused,
 but trying to continue

I have "reason a0" while the pre comment has it "reason b0" 

Comment 11 Joel Dias Marques 2007-08-31 11:58:40 UTC
same fail on gutsy
xserver-xorg-video-ati version: 6.6.193
Comment 12 Alex Deucher 2007-08-31 12:12:11 UTC
does it help if you remove this block of code from radeon-driver.c:

if (info->IsMobility) {
    if (xf86ReturnOptValBool(info->Options, OPTION_DYNAMIC_CLOCKS, FALSE)) {
        RADEONSetDynamicClock(pScrn, 1);
    } else {
        RADEONSetDynamicClock(pScrn, 0);
    }
}

rebuild and install the updated driver and then fully shut down the laptop and power it off before powering it back on again.

if that doesn't help, also try removing the following code from radeon_driver.c:

if (IS_R300_VARIANT || IS_RV100_VARIANT)
    RADEONForceSomeClocks(pScrn);

and repeat.
Comment 13 Raanan Manor 2007-09-02 04:02:41 UTC
marking out - 

if (info->IsMobility) {
    if (xf86ReturnOptValBool(info->Options, OPTION_DYNAMIC_CLOCKS, FALSE)) {
        RADEONSetDynamicClock(pScrn, 1);
    } else {
        RADEONSetDynamicClock(pScrn, 0);
    }
}

does not solve the problem. I'll try the next one. Also it mostly happnes to me when I use an external monitor at VGA-0 and the LVDS is truned off. 


Comment 14 Raanan Manor 2007-09-03 00:46:30 UTC
It only heppens to me If I turn off the LVDS. I have the LVDS on 1600x1200 and VGA-0 at 1680x1050 

virtuel desktop of 3280x1200 clone mode. 
Comment 15 Joel Dias Marques 2007-09-20 11:49:59 UTC
(In reply to comment #11)
> same fail on gutsy
> xserver-xorg-video-ati version: 6.6.193
> 

I have no bug with 6.7.193 ! great work
thanks
Comment 16 Joel Dias Marques 2007-10-03 13:01:24 UTC
Nb: I have no crash with 3D game but I have many artifact when I enable compiz or on 3Dgame
Comment 17 Benjamin Close 2008-01-11 02:38:33 UTC
Bugzilla Upgrade Mass Bug Change

NEEDSINFO state was removed in Bugzilla 3.x, reopening any bugs previously listed as NEEDSINFO.

  - benjsc
    fd.o Wrangler
Comment 18 Michel Dänzer 2008-01-11 03:36:54 UTC
It sounds like the original bug is fixed. If you still have other issues, please followup to existing other bugs about them or file new ones.